Skip to main content
GET
List bookings

Query Parameters

user_id
string

Filter by user (profile UUID). Omit for all users.

place_id
integer<int64>

Filter by place ID. 0 = all places.

start_date
string

Filter: bookings starting on or after (RFC3339). Empty = no lower bound.

end_date
string

Filter: bookings starting on or before (RFC3339). Empty = no upper bound.

limit
integer<int64>
default:50

Max results

Required range: 1 <= x <= 100
offset
integer<int64>
default:0

Results offset

Required range: x >= 0

Response

object[] | null

OK

created_at
string<date-time>
required

Created timestamp

end_dt
string<date-time>
required

Reservation end (UTC)

id
integer<int64>
required

Booking ID

place_id
integer<int64>
required

Place being reserved

start_dt
string<date-time>
required

Reservation start (UTC)

status
string
required

Status: confirmed, cancelled

title
string
required

Booking title

updated_at
string<date-time>
required

Updated timestamp

user_id
string
required

Profile UUID of the booking owner

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Booking.json"

description
string

Optional description

org_id
string

Organization (tenant) ID; nil = personal context

Last modified on June 11, 2026